import axios from "../utils/http";
import base from "./base";
const api = {
    /**
     * get 例子
     */
    getMusic(params) {
        return axios.get(base.baseUrl + base.music, {
            params: params,
        });
    },
    /**
     * post 例子
     */
    addSdkRedLog(params) {
        return axios.post(base.baseUrl + base.music, params);
    },

    /**
     * 登录
     */
    login(params) {
        return axios.post(base.baseUrl + base.login, params);
    },

    /**
     * 检测账号是否存在
     */
    passportExists(params) {
        return axios.post(base.baseUrl + base.passportExists, params)
    },

    /**
     * 注册
     */
    regist(params) {
        return axios.post(base.baseUrl + base.regist, params)
    },

    /**
     * 快速登录
     */
    quickRegist(params) {
        return axios.get(base.baseUrl + base.quickRegist, { params })
    },

    /**
     * 发送验证码
     * reason 参数 : regist, forgetPwd, bindMobile, changePwd
     */
    sendSms(params) {
        return axios.post(base.baseUrl + base.sendSms, params)
    },

    /**
     * 忘记密码
     */
    forgetPwd(params) {
        return axios.post(base.baseUrl + base.forgetPwd, params)
    },

    /**
     * 绑定手机号
     */
    bindMobile(params) {
        return axios.post(base.baseUrl + base.bindMobile, params)
    },

    /**
     * 修改密码
     */
    changePwd(params) {
        return axios.post(base.baseUrl + base.changePwd, params)
    },

    /**
     * 用户信息
     */
    info(params) {
        return axios.get(base.baseUrl + base.info, { params })
    },

    /**
     * 登出
     */
    logout(params) {
        return axios.get(base.baseUrl + base.logout, { params })
    },

    /**
     * 刷新登录态 /user 下的操作 都调一遍这个接口
     */
    refresh(params) {
        return axios.get(base.baseUrl + base.refresh, { params })
    },

    /* ************ pay ************ */

    /**
     * 下单
     * @param app_id 默认1 从url拿
     * @param pay_type  ALIPAY-H5 支付宝H5 WECHAT-H5 微信H5 HB 鸿币
     * @param pay_platform ALIPAY 支付宝支付 WECHATPAY 微信支付 HB 鸿币支付
     */
    order(params) {
        return axios.post(base.baseUrl + base.order, params)
    },

    /**
     * 订单查询
     */
    query(params) {
        return axios.post(base.baseUrl + base.query, params)
    },

    /**
     * 鸿币余额
     */
    finance(params) {
        return axios.get(base.baseUrl + base.finance, { params })
    },

    /**
     * 鸿币充值
     */
    recharge(params) {
        return axios.post(base.baseUrl + base.recharge, params)
    },

    /**
     * test 微信支付
     */
    wechatOpenId(params) {
        return axios.post(base.baseUrl + base.wechatOpenId, params)
    },

    /* ************ 红包 ************ */
    /**
     * 玩家信息
     */
    hbInfo(params) {
        return axios.get(base.baseUrlHB + base.hbInfo, { params })
    },

    /**
     * 任务列表
     */
    hbTasks(params) {
        return axios.get(base.baseUrlHB + base.hbTasks, { params })
    },

    /**
     * 任务列表
     */
    hbCompleteTask(params) {
        return axios.post(base.baseUrlHB + base.hbCompleteTask, params)
    },


    /**
     * 领取优惠券
     */
    hbDrawCoupon(params) {
        return axios.post(base.baseUrlHB + base.hbDrawCoupon, params)
    },


    /**
     * 优惠券列表
     */
    hbCouponList(params) {
        return axios.get(base.baseUrlHB + base.hbCouponList, { params })
    },
};

export default api;